Bug 50008 - Enhancement : Make BatchSampleSender constructor protected instead of package protected
Enhancement : Make BatchSampleSender constructor protected instead of package...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
PC All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-27 05:04 UTC by Philippe Mouawad
Modified: 2010-10-21 09:01 UTC (History)
1 user (show)



Attachments
The patch (995 bytes, application/octet-stream)
2010-09-27 05:04 UTC, Philippe Mouawad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2010-09-27 05:04:14 UTC
Created attachment 26079 [details]
The patch

Hello,
Concerns Nightly version of 27/09/2010 and 2.4.
We have a requirement where we would like to extend BatchSampleSender and reuse some of its behaviour.

I attach the patch to BatchSampleSender.
It would be great if you can take it into account.

Regards
Philippe
www.ubik-ingenierie.com
Comment 1 Philippe Mouawad 2010-09-27 09:03:26 UTC
Made a mistake with issue, closed the bad one
Comment 2 Sebb 2010-10-21 09:01:05 UTC
URL: http://svn.apache.org/viewvc?rev=1025983&view=rev
Log:
Bug 50008 - Allow BatchSampleSender to be subclassed

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/samplers/BatchSampleSender.java
   jakarta/jmeter/trunk/xdocs/changes.xml